Subject: Re: [Pidloc] New Version Notification for draft-iannone-pidloc-privacy-00.txt

From: Behcet Sarikaya <[email-masked]>
Date: Fri, 24 Jan 2020 09:41:17 -0600

Hi all,

Luigi submitted this draft which is basically revised version of Erik's
earlier draft.
Please read it and post your comments on the list.

Regards,

Dirk & Behcet

On Fri, Jan 24, 2020 at 2:34 AM <[email-masked]> wrote:

>
> A new version of I-D, draft-iannone-pidloc-privacy-00.txt
> has been successfully submitted by Luigi Iannone and posted to the
> IETF repository.
>
> Name:           draft-iannone-pidloc-privacy
> Revision:       00
> Title:          Privacy issues in Identifier/Locator Separation Systems
> Document date:  2020-01-23
> Group:          Individual Submission
> Pages:          11
> URL:
> https://www.ietf.org/internet-drafts/draft-iannone-pidloc-privacy-00.txt
> Status:
> https://datatracker.ietf.org/doc/draft-iannone-pidloc-privacy/
> Htmlized:
> https://tools.ietf.org/html/draft-iannone-pidloc-privacy-00
> Htmlized:
> https://datatracker.ietf.org/doc/html/draft-iannone-pidloc-privacy
>
>
> Abstract:
>    There exist several protocols and proposals that leverage on the
>    Identifier/Locator split paradigm, having some form of control plane
>    by which participating nodes can share their current Identifier-to-
>    Location information with their peers.  This document explores some
>    of the privacy considerations for such a type of system.
>
>
>
>
> Please note that it may take a couple of minutes from the time of
> submission
> until the htmlized version and diff are available at tools.ietf.org.
>
> The IETF Secretariat
>
>

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 28 Jan 2020 15:12:10 -0600

Thanks Joel for your comments. I am cc'ing it to the list.

We will work on it and hopefully come back with our replies/revised draft.

Regards,
Behcet

On Tue, Jan 28, 2020 at 2:23 PM Joel M. Halpern <[email-masked]> wrote:

> Reading through the draft, some observations occurred to me.  I hope
> they are helpful to you.
>
> Section 3.2.1 reads very strangely.  it seems to mix the need to secure
> access to IoT entities with the need to maintain privacy of something
> (the ID? the Locator?) of those devices.  When it says "there are very
> strong reasons..." I am left going "there are?" as this seems unmotivated.
>
> (I will admit at this point that I wonder if section 3 is actually
> useful.  It is not describing use ases for I/L separation.  It seems to
> be describing some sets of clients who might use I/L separation systems.
>   On the one hand, that set ought to be everything, in a "desired"
> state.  In another sense, most of the use cases that LISP is used for
> are not there. )
>
> The second sentence of 3.2.2 is not a sentence.  It appears to be a
> subject phrase.  And then I am left confused as to what challenge it is
> that needs to be solved for the use of end-to-end I/L separation in 5G.
> Other than industry desire to do so.
>
> Section 5.1 on Location privacy should probably have two caveats.  It
> should note that this assumes that identifiers are stable rather than
> mutating.  Second, it should probably repeat the note that there are
> other means of correlation which are very important for this use case.
> (Google and Facebook can correlate your location because you log in to
> them, and they get your locator.  No matter what you do with identifiers
> at the network layer.)  We need to be realistic about what we are trying
> to improve.
>
> I think sections 6 and 7 need to recognize the distinction between
> entities who need to be reached by arbitrary peers (servers) and
> entities that choose who they talk to (clients, UE, ...)  It may also
> want to talk about the concommitant need to share ones locator /
> identifier with communication peers.
>
> Yours,
> Joel
>
>
> On 1/28/2020 12:36 PM, Behcet Sarikaya wrote:
> > Hi Joel,
> >
> > We published this draft last week, being a recognized expert in the
> > area, I would like to ask  your comments please.
> > It seems like you are not on pidloc mailing list so you may not have
> > received this email below however you may send your comments to the list
> > we will approve your post.
> >
> > Regards,
> > Behcet & Dirk
> >
> > ---------- Forwarded message ---------
> > From: <[email-masked] <mailto:[email-masked]>>
> > Date: Fri, Jan 24, 2020 at 2:34 AM
> > Subject: New Version Notification for draft-iannone-pidloc-privacy-00.txt
> > To: Luigi Iannone <[email-masked] <mailto:[email-masked]>>, Behcet
> > Sarikaya <[email-masked] <mailto:[email-masked]>>, Erik Nordmark
> > <[email-masked] <mailto:[email-masked]>>, Dirk von Hugo
> > <[email-masked] <mailto:[email-masked]>>
> >
> >
> >
> > Status: https://datatracker.ietf.org/doc/draft-iannone-pidloc-privacy/
> > Htmlized: https://tools.ietf.org/html/draft-iannone-pidloc-privacy-00
> > Htmlized:
> > until the htmlized version and diff are available at tools.ietf.org
> > <http://tools.ietf.org>.
> >
> > The IETF Secretariat
> >
>